# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::ExecState Class Reference

Represents the current state of script execution. More...

`#include <interpreter.h>`

List of all members.

## Public Member Functions

Interpreter * | interpreter () const
| Returns the interpreter associated with this execution state.
const Context | context () const
| Returns the execution context associated with this execution state.
void | setException (const Value &e)
void | clearException ()
Value | exception () const
bool | hadException () const

## Static Public Member Functions

void | requestTerminate ()

## Friends

class | InterpreterImp
class | FunctionImp
class | GlobalFuncImp

## Detailed Description

Represents the current state of script execution.

This object allows you obtain a handle the interpreter that is currently executing the script, and also the current execution state context.

Definition at line 373 of file interpreter.h.

## Member Function Documentation

Interpreter * ExecState::interpreter | ( |  | ) | const

Returns the interpreter associated with this execution state.

Returns:
  The interpreter executing the script

Definition at line 346 of file interpreter.cpp.

Referenced by KJS::Error::create().

const Context ExecState::context | ( |  | ) | const

Returns the execution context associated with this execution state.

Returns:
  The current execution state context

Definition at line 351 of file interpreter.cpp.

The documentation for this class was generated from the following files:

- interpreter.h
- interpreter.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:08:56 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001